package com.trs.ggzyexchange.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 
 * </p>
 *
 * @author trs
 * @since 2023-12-28
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ZrzyTkqProjectInfo extends BaseEntity {

    private static final long serialVersionUID = 1L;

    @TableField("SOURCE_DATA_KEY")
    private String sourceDataKey;

    @TableField("SOURCE_DATA_CODE")
    private String sourceDataCode;

    @TableField("NA_APP_CODE")
    private String naAppCode;

    @TableField("NA_APP_NAME")
    private String naAppName;

    @TableField("UNIFIED_DEAL_CODE")
    private String unifiedDealCode;

    @TableField("MIN_TRANSACT_TYPE")
    private String minTransactType;

    @TableField("TRANSACT_WAY")
    private String transactWay;

    @TableField("CEDE_WAY")
    private String cedeWay;

    @TableField("INDUSTRY_REGULATORY_AUTHORITIES")
    private String industryRegulatoryAuthorities;

    @TableField("INVESTPROJECTCODE")
    private String investprojectcode;

    @TableField("NA_GOV_NAME")
    private String naGovName;

    @TableField("ID_LICENCEID")
    private String idLicenceid;

    @TableField("DT_USEFULLIFE_START")
    private Long dtUsefullifeStart;

    @TableField("DT_USEFULLIFE_END")
    private Long dtUsefullifeEnd;

    @TableField("APPROVE_ORG")
    private String approveOrg;

    @TableField("LISTING_START_TIME")
    private Long listingStartTime;

    @TableField("LISTING_DEADLINE")
    private Long listingDeadline;

    @TableField("SIGNUP_OPEN_TIME")
    private Long signupOpenTime;

    @TableField("SIGNUP_END_TIME")
    private Long signupEndTime;

    @TableField("BID_BOND_END_TIME")
    private Long bidBondEndTime;

    @TableField("START_PRICE")
    private String startPrice;

    @TableField("SECURITY_DEPOSIT")
    private String securityDeposit;

    @TableField("PRICE_AMPLITUDE")
    private String priceAmplitude;

    @TableField("REGION_CODE")
    private String regionCode;

    @TableField("IS_BASE_PRICE")
    private String isBasePrice;

    @TableField("BASE_PRICE")
    private String basePrice;

    @TableField("CEDE_TIME_LIMIT")
    private String cedeTimeLimit;

    @TableField("TRANSFEROR_CODE")
    private String transferorCode;

    @TableField("TRANSFEROR_NAME")
    private String transferorName;

    @TableField("PROJECT_POSITION")
    private String projectPosition;

    @TableField("RESOURCE_COORDINATE")
    private String resourceCoordinate;

    @TableField("RECONNAISSAN_MINERAL")
    private String reconnaissanMineral;

    @TableField("MIN_AREA")
    private String minArea;

    @TableField("GEOLOGICAL_SURVEY")
    private String geologicalSurvey;

    @TableField("ENTRUSTMENT_AUTHORITY")
    private String entrustmentAuthority;

    @TableField("IS_GAS")
    private String isGas;

    @TableField("APPLY_PERSON_NAME")
    private String applyPersonName;

    @TableField("APPLY_CODE")
    private String applyCode;

    @TableField("APPLY_TYPE")
    private String applyType;

    @TableField("APPLY_ROLE")
    private String applyRole;

    @TableField("TRA_AGENCY_NAME")
    private String traAgencyName;

    @TableField("TRA_AGENCY_CODE")
    private String traAgencyCode;

    @TableField("BID_CONTENT")
    private String bidContent;

    @TableField("BID_CONDITION")
    private String bidCondition;

    @TableField("WIN_BID_CONTENT")
    private String winBidContent;

    @TableField("MIN_SITE_DRAW")
    private String minSiteDraw;

    @TableField("PLATFORM_CODE")
    private String platformCode;

    @TableField("PUB_SERVICE_PLAT_CODE")
    private String pubServicePlatCode;

    @TableField("DATA_TIMESTAMP")
    private Long dataTimestamp;


}
