package com.trs.ggzyexchange.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.trs.ggzyexchange.entity.NmNotice;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.trs.ggzyexchange.entity.TenderDetailsVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author trs
 * @since 2024-02-27
 */
@Mapper
public interface NmNoticeMapper extends BaseMapper<NmNotice> {

    Long maxDataTimeStamp();

    IPage<TenderDetailsVo> queryNmNoticeAllListByTime(Page<NmNotice> page, @Param("time")  Long time);
}
