package com.trs.ggzyexchange.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.trs.ggzyexchange.entity.ZfcgGongao;
import com.trs.ggzyexchange.entity.TenderDetailsVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author trs
 * @since 2024-02-27
 */
@Mapper
public interface ZfcgGongaoMapper extends BaseMapper<ZfcgGongao> {

    Long maxDataTimeStamp();

    IPage<TenderDetailsVo> queryZfcgGongaoListByTime(Page<ZfcgGongao> page, @Param("time")  Long time);
}
