package com.trs.ggzyexchange.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

import com.trs.ggzyexchange.entity.CqSwBargainResult;
import com.trs.ggzyexchange.entity.CqSwCompleteBulletin;
import com.trs.ggzyexchange.entity.TenderDetailsVo;
import com.trs.ggzyexchange.mapper.CqSwBargainResultMapper;
import com.trs.ggzyexchange.mapper.CqSwCompleteBulletinMapper;
import com.trs.ggzyexchange.service.CqSwCompleteBulletinService;
import org.apache.commons.lang3.ObjectUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;


@Service
public class CqSwCompleteBulletinServiceImpl extends ServiceImpl<CqSwCompleteBulletinMapper, CqSwCompleteBulletin> implements CqSwCompleteBulletinService {

    @Autowired
    private CqSwCompleteBulletinMapper cqSwCompleteBulletinMapper;

    @Override
    public IPage<TenderDetailsVo> queryCqSwCompleteBulletinAllList(Page<CqSwCompleteBulletin> page) {
        return cqSwCompleteBulletinMapper.queryCqSwCompleteBulletinAllList(page);
    }

    @Override
    public Long maxDataTimeStamp() {
        Long aLong = cqSwCompleteBulletinMapper.maxDataTimeStamp();
        try{
            if(!ObjectUtils.isEmpty(aLong)){
                if(aLong != 0){
                    String sLong = ((aLong+"").substring(0,8)) + "000000";
                    aLong = Long.parseLong(sLong);
                }
            }
        }catch (Exception e){
            e.printStackTrace();
        }
        return aLong;
    }

    public IPage<TenderDetailsVo> queryCqSwCompleteBulletinAllListByTime(Page<CqSwCompleteBulletin> page, Long time) {
        return cqSwCompleteBulletinMapper.queryCqSwCompleteBulletinAllListByTime(page,time);
    }
}
