package com.trs.ggzyexchange.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.trs.ggzyexchange.entity.CqcgBidcandidatePost;
import com.trs.ggzyexchange.entity.CqcgNoticeandfile;
import com.trs.ggzyexchange.entity.TenderDetailsVo;
import com.trs.ggzyexchange.mapper.CqcgBidcandidatePostMapper;
import com.trs.ggzyexchange.mapper.CqcgNoticeandfileMapper;
import com.trs.ggzyexchange.service.CqcgBidcandidatePostService;
import org.apache.commons.lang3.ObjectUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;


@Service
public class CqcgBidcandidatePostServiceImpl extends ServiceImpl<CqcgBidcandidatePostMapper, CqcgBidcandidatePost> implements CqcgBidcandidatePostService {
    @Autowired
    private CqcgBidcandidatePostMapper cqcgBidcandidatePostMapper;

    public Long maxDataTimeStamp() {
        Long aLong = cqcgBidcandidatePostMapper.maxDataTimeStamp();
        try{
            if(!ObjectUtils.isEmpty(aLong)){
                if(aLong != 0){
                    String sLong = ((aLong+"").substring(0,8)) + "000000";
                    aLong = Long.parseLong(sLong);
                }
            }
        }catch (Exception e){
            e.printStackTrace();
        }
        return aLong;
    }

    public IPage<TenderDetailsVo> queryCqcgBidcandidatePostAllListByTime(Page<CqcgBidcandidatePost> page, Long time) {
        return cqcgBidcandidatePostMapper.queryCqcgBidcandidatePostAllListByTime(page, time);
    }

}
