package com.trs.ggzyexchange.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

import com.trs.ggzyexchange.entity.GcTenderbidfilepublicity;
import com.trs.ggzyexchange.entity.TenderDetailsVo;
import com.trs.ggzyexchange.mapper.GcTenderbidfilepublicityMapper;
import com.trs.ggzyexchange.service.GcTenderbidfilepublicityService;
import org.apache.commons.lang3.ObjectUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;


@Service
public class GcTenderbidfilepublicityServiceImpl extends ServiceImpl<GcTenderbidfilepublicityMapper, GcTenderbidfilepublicity> implements GcTenderbidfilepublicityService {
    public boolean saveOrUpdateBatchSelective(List<GcTenderbidfilepublicity> entityList) {
        return this.saveOrUpdateBatch(entityList);
    }
    @Autowired
    private GcTenderbidfilepublicityMapper gcTenderbidfilepublicityMapper;

    public IPage<TenderDetailsVo> queryGcTenderbidfilepublicityListByTime(Page<GcTenderbidfilepublicity> page, Long time) {
        return gcTenderbidfilepublicityMapper.queryTenderbidfilepublicityByTime(page,time);
    }

    public Long maxDataTimeStamp() {
        Long aLong = gcTenderbidfilepublicityMapper.maxDataTimeStamp();
        try{
            if(!ObjectUtils.isEmpty(aLong)){
                if(aLong != 0){
                    String sLong = ((aLong+"").substring(0,8)) + "000000";
                    aLong = Long.parseLong(sLong);
                }
            }
        }catch (Exception e){
            e.printStackTrace();
        }
        return aLong;
    }
}
