package com.trs.ggzyexchange.service.impl;

import com.trs.ggzyexchange.entity.ZrzyDkBinwinNotice;
import com.trs.ggzyexchange.mapper.ZrzyDkBinwinNoticeMapper;
import com.trs.ggzyexchange.service.ZrzyDkBinwinNoticeService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.apache.commons.lang3.ObjectUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author trs
 * @since 2023-12-28
 */
@Service
public class ZrzyDkBinwinNoticeServiceImpl extends ServiceImpl<ZrzyDkBinwinNoticeMapper, ZrzyDkBinwinNotice> implements ZrzyDkBinwinNoticeService {

    @Autowired
    private ZrzyDkBinwinNoticeMapper zrzyDkBinwinNoticeMapper;

    @Override
    public Long maxDataTimeStamp() {
        Long aLong =  zrzyDkBinwinNoticeMapper.maxDataTimeStamp();
        try{
            if(!ObjectUtils.isEmpty(aLong)){
                if(aLong != 0){
                    String sLong = ((aLong+"").substring(0,8)) + "000000";
                    aLong = Long.parseLong(sLong);
                }
            }
        }catch (Exception e){
            e.printStackTrace();
        }
        return aLong;
    }
}
