package com.trs.ggzyexchange;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.IdWorker;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fasterxml.jackson.core.JsonProcessingException;
import com.trs.ggzyexchange.entity.AreaPlatform;
import com.trs.ggzyexchange.entity.OtherTradePubInfo;
import com.trs.ggzyexchange.entity.OtherTradeResultInfo;
import com.trs.ggzyexchange.entity.TenderDetailsVo;
import com.trs.ggzyexchange.enums.ClassIfy;
import com.trs.ggzyexchange.schedul.*;
import com.trs.ggzyexchange.service.AreaPlatformService;
import com.trs.ggzyexchange.service.GcNoticeandfileService;
import com.trs.ggzyexchange.service.OtherTradePubInfoService;
import com.trs.ggzyexchange.service.OtherTradeResultInfoService;
import com.trs.ggzyexchange.utils.DateUtils;
import com.trs.ggzyexchange.utils.RestHighLevelClientUtils;
import com.trs.ggzyexchange.utils.TenderDetailsVoUtils;
import lombok.extern.slf4j.Slf4j;
import org.apache.commons.lang3.ObjectUtils;
import org.junit.jupiter.api.Test;
import org.mozilla.universalchardet.UniversalDetector;
import org.quartz.JobExecutionException;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;

import java.io.*;
import java.nio.ByteBuffer;
import java.nio.charset.Charset;
import java.nio.charset.CharsetDecoder;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.*;

@SpringBootTest
@Slf4j
class GgzyExchangeApplicationTests {


/*    @Autowired
    private NmNoticeSchedul nmResultNoticeSchedul;

    @Test
    void test111(){

    }*/
public static void main(String[] args) {
    String[] zbgg = {"001011","001012","001013","001014","001015","001016","001019"};
    String[] jggg = {"001021","001022","001023","001024","001025","001026","001029"};
    String[] bggg = {"001031","001032"};

    String record = "001011";
    if( Arrays.stream(zbgg).anyMatch(num -> num == record) ){
        System.out.println(ClassIfy.PREQUALIFICATION_ANNOUNCEMENT.getCode());
        System.out.println(ClassIfy.PREQUALIFICATION_ANNOUNCEMENT.getName());
    }
    if( Arrays.stream(jggg).anyMatch(num -> num == record) ){
        System.out.println(ClassIfy.BID_ANNOUNCEMENT.getCode());
        System.out.println(ClassIfy.BID_ANNOUNCEMENT.getName());
    }
    if( Arrays.stream(bggg).anyMatch(num -> num == record) ){
        System.out.println(ClassIfy.CORRECTION_ANNOUNCEMENT.getCode());
        System.out.println(ClassIfy.CORRECTION_ANNOUNCEMENT.getName());
    }


}


}
