package com.trs.ggzyexchange.service.impl;

import com.trs.ggzyexchange.entity.ZrzyCkqNotice;
import com.trs.ggzyexchange.mapper.ZrzyCkqNoticeMapper;
import com.trs.ggzyexchange.service.ZrzyCkqNoticeService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.apache.commons.lang3.ObjectUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 采矿权招拍挂公告信息 服务实现类
 * </p>
 *
 * @author trs
 * @since 2024-01-04
 */
@Service
public class ZrzyCkqNoticeServiceImpl extends ServiceImpl<ZrzyCkqNoticeMapper, ZrzyCkqNotice> implements ZrzyCkqNoticeService {

    @Autowired
    private ZrzyCkqNoticeMapper zrzyCkqNoticeMapper;

    @Override
    public Long maxDataTimeStamp() {
        Long aLong =  zrzyCkqNoticeMapper.maxDataTimeStamp();
        try{
            if(!ObjectUtils.isEmpty(aLong)){
                if(aLong != 0){
                    String sLong = ((aLong+"").substring(0,8)) + "000000";
                    aLong = Long.parseLong(sLong);
                }
            }
        }catch (Exception e){
            e.printStackTrace();
        }
        return aLong;
    }
}
