package com.trs.ggzyexchange.service.impl;

import com.trs.ggzyexchange.entity.ZrzyTkqBidwinnotice;
import com.trs.ggzyexchange.mapper.ZrzyTkqBidwinnoticeMapper;
import com.trs.ggzyexchange.mapper.ZrzyTkqNoticeMapper;
import com.trs.ggzyexchange.service.ZrzyTkqBidwinnoticeService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.apache.commons.lang3.ObjectUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 探矿权招拍挂结果公示信息 服务实现类
 * </p>
 *
 * @author trs
 * @since 2024-01-04
 */
@Service
public class ZrzyTkqBidwinnoticeServiceImpl extends ServiceImpl<ZrzyTkqBidwinnoticeMapper, ZrzyTkqBidwinnotice> implements ZrzyTkqBidwinnoticeService {
    @Autowired
    private ZrzyTkqBidwinnoticeMapper zrzyTkqBidwinnoticeMapper;

    public Long maxDataTimeStamp() {
        Long aLong =  zrzyTkqBidwinnoticeMapper.maxDataTimeStamp();
        try{
            if(!ObjectUtils.isEmpty(aLong)){
                if(aLong != 0){
                    String sLong = ((aLong+"").substring(0,8)) + "000000";
                    aLong = Long.parseLong(sLong);
                }
            }
        }catch (Exception e){
            e.printStackTrace();
        }
        return aLong;
    }
}
